Page MenuHomeFreeBSD

New port: databases/mysqldump-secure
ClosedPublic

Authored by lifanov on Dec 30 2016, 5:07 PM.

Details

Summary
Mysqldump-secure is a POSIX compliant open-source backup tool for MySQL databases with strong security in mind. It will backup every available database (which is readable by the specified user) as a separate file with the possibility to opt out via blacklisting.

 PR: 208032
 Submitted by: jsmith@resonatingmedia.com
 Reviewed by: matthew
 Approved by: matthew (mentor)
 Differential revision: https://reviews.freebsd.org/DXXXX

Note (from me):
I had to make a lot of changes to original submission, so I'm still waiting
for submitter feedback about these.

Test Plan

portlint -A - OK
pourdirere testport - OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lifanov retitled this revision from to New port: databases/mysqldump-secure.
lifanov updated this object.
lifanov edited the test plan for this revision. (Show Details)
lifanov added a reviewer: matthew.
lifanov added a subscriber: koobs.

OK. This looks pretty good to me.

Poudriere is suggesting this is arch independent so you might want to add

NO_ARCH=yes

databases/mysqldump-secure/Makefile
16 ↗(On Diff #23470)

USES=mysql adds a LIB_DEPENDS on libmysqlclient.so which doesn't make a lot of sense for a shell script, but it seems it's the only way ${PORTSDIR}/Mk/Uses/mysql.mk provides.

That's fairly harmless but a bug: there should be a way of having it produce a RUN_DEPENDS when all you want is the presence of the mysql program.

databases/mysqldump-secure/pkg-plist
2–3 ↗(On Diff #23470)

Having %%ETCDIR%% as part of a couple of filenames seems counterintuitive. I guess that's what make makeplist comes out with though?

databases/mysqldump-secure/Makefile
16 ↗(On Diff #23470)

Yeah, it actually needs "mysqldump" which is part of mysql client package(s). I have no idea if there is a better way of depending on this... Is there?

databases/mysqldump-secure/pkg-plist
2–3 ↗(On Diff #23470)

Yep, should I expand this?

matthew edited edge metadata.
matthew added inline comments.
databases/mysqldump-secure/Makefile
16 ↗(On Diff #23470)

Not really. You want the USES=mysql stuff, as that allows choice between the half dozen or so mysql variants.

databases/mysqldump-secure/pkg-plist
2–3 ↗(On Diff #23470)

No, on reflection I think it's probably fine as it is.

This revision is now accepted and ready to land.Dec 31 2016, 11:50 AM
databases/mysqldump-secure/pkg-plist
2–3 ↗(On Diff #23470)

No, ETCDIR points to a directory, if it is a file, it should be expanded.

lifanov edited edge metadata.

address feedback by mat

Expanded, thanks!

This revision now requires review to proceed.Dec 31 2016, 11:07 PM
matthew edited edge metadata.

Yes -- OK, Mat has the right of it.

This revision is now accepted and ready to land.Jan 1 2017, 12:31 PM
This revision was automatically updated to reflect the committed changes.